#include <stdio.h>              
#include<conio.h>
#include <stdlib.h>
int main()                        
{
	int a[100],n,i,j,x,vreme;
        scanf("%d %d",&n,&x);
      for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
	for (int i = 0; i < n; i++)                     
	{
		for (int j = 0; j < n; j++)             
		{
			if (a[j] <= a[i])                
			{
				int tmp = a[i];         
				a[i] = a[j];            
				a[j] = tmp;             
			}
		}
	}     
	if(abs(a[0]-x)>abs(a[n-1]-x))
	{
		vreme=abs(a[n-1]-x)+abs(a[n-1]-a[0]);
		printf("%d", vreme);
	}
	else 
	{
		vreme=abs(a[0]-x)+abs(a[0]-a[n-1]);
		printf("%d", vreme);
	}

	return 0;       
getch();
}